Bug 989832 - Extra " character in certutil command line cause command to fail
Extra " character in certutil command line cause command to fail
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
3.0
All Linux
medium Severity low
: async
: 3.0
Assigned To: Stephen Gordon
ecs-bugs
: Documentation, ZStream
Depends On:
Blocks: 1011085
  Show dependency treegraph
 
Reported: 2013-07-29 23:18 EDT by Kurt Seifried
Modified: 2014-01-05 23:25 EST (History)
3 users (show)

See Also:
Fixed In Version: Red_Hat_OpenStack-Installation_and_Configuration_Guide-3-web-en-US-3-31.el6eng
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 23:25:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-07-29 23:18:54 EDT
Document URL: https://access.redhat.com/site/documentation/en-US/Red_Hat_OpenStack/3/html/Installation_and_Configuration_Guide/Enable_SSL_on_the_Broker1.html

Section Number and Name: 4.2.2.2. Enable SSL on the Broker

Describe the issue: extra " in example breaks the command

Suggestions for improvement: remove the extra "

Additional information: 

[root@openstack3-rhos openstack]# certutil -S -d ${CERT_DIR} -n ${NICKNAME} -s "CN=${NICKNAME}"" -t "CT,," -x -f ${CERT_PW_FILE} -z /usr/bin/certutil
> ^C

[root@openstack3-rhos openstack]# certutil -S -d ${CERT_DIR} -n ${NICKNAME} -s "CN=${NICKNAME}" -t "CT,," -x -f ${CERT_PW_FILE} -z /usr/bin/certutil
Incorrect password/PIN entered.
certutil: unable to generate key(s)
: The security password entered is incorrect.
Comment 2 Stephen Gordon 2013-08-06 10:32:12 EDT
"Enable SSL on the Broker" - ID: 17958 [rev: 492846]

Note You need to log in before you can comment on or make changes to this bug.